ubuntuone-credentials (15.10+15.10.20150713ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:22:56 +0000

ubuntuone-credentials (15.10+15.10.20150713) wily; urgency=medium

  [ Albert Astals Cid ]
  * Wrap the main header and error labels. (LP: #1368797, #1453830)

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 13 Jul 2015 19:59:31 +0000

ubuntuone-credentials (15.10+15.10.20150617) wily; urgency=medium

  [ Pawel Stolowski ]
  * Added Token::consumerKey() getter.

  [ CI Train Bot ]
  * debian/libubuntuoneauth-2.0-0.symbols: update to released version.
  * New rebuild forced.
  * Resync trunk.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 17 Jun 2015 16:58:41 +0000

ubuntuone-credentials (14.04+15.10.20150506) wily; urgency=medium

  [ Leo Arias ]
  * On autopilot helpers, dismiss the on-screen keyboard when filling
    the new account form. Workaround for bug #1442733. (LP: #1442733)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 06 May 2015 20:53:15 +0000

ubuntuone-credentials (14.04+15.04.20150401) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Upgrades the ACL of U1 accounts registered in the Online Accounts
    database. Add dependencies on sqlite3 and account-plugin-tools for
    migration script. (LP: #1376445)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 01 Apr 2015 17:53:57 +0000

ubuntuone-credentials (14.04+15.04.20150310) vivid; urgency=medium

  [ Rodney Dawes ]
  * Update autopilot dependencies for the autopilot tests package. (LP:
    #1429158)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 10 Mar 2015 19:00:56 +0000

ubuntuone-credentials (14.04+15.04.20150120) vivid; urgency=low

  [ Rodney Dawes ]
  * Set the default ACL as ["unconfined"] for the account. (LP:
    #1376445)
  * Handle keyringError from the keyring, by deleting token. (LP:
    #1282392)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Jan 2015 18:09:09 +0000

ubuntuone-credentials (14.04+14.10.20140910) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Rodney Dawes ]
  * Add new ctor for Token to accept created/updated date strings. Use
    the new ctor when creating the token from the REST response. Turn
    the date string returned from the server into an ISO string for
    parsing. Add more tests. (LP: #1366998)

  [ Sebastien Bacher ]
  * Set wrapmode to avoid having a label cut (LP: #1366294)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Sep 2014 13:18:31 +0000

ubuntuone-credentials (14.04+14.10.20140903) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ John R. Lenton ]
  * Make the 2fa entry more usable. (LP: #1364935)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Sep 2014 21:29:13 +0000

ubuntuone-credentials (14.04+14.10.20140821) utopic; urgency=low

  [ Rodney Dawes ]
  * Don't set the width/height of the flickable. (LP: #1350543)
  * Enable langpacks for ubuntuone-credentials.
  * Store and parse the created and updated times on the token.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 21 Aug 2014 02:19:04 +0000

ubuntuone-credentials (14.04+14.10.20140815) utopic; urgency=low

  [ Rodney Dawes ]
  * Install the translations in the correct place. Package the installed
    translations.
  * Don't call sync so much. Don't call resetUI on success or cancel, to
    avoid popping the keyboard. Set the displayName of the account
    internally. Do not set the display name, or enable or sync the
    account, in the qml. (LP: #1239616)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 16:44:30 +0000

ubuntuone-credentials (14.04+14.10.20140802) utopic; urgency=low

  [ Rodney Dawes ]
  * Warn and return if the URL is empty, before signing. (LP: #1270283)
  * Let Qt choose to abort() or exit(1) for fatal messages. (LP:
    #1351345)
  * Enable translation of the strings in the plug-in. (LP: #1201460)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 02 Aug 2014 02:08:58 +0000

ubuntuone-credentials (14.04+14.10.20140729) utopic; urgency=low

  [ Rodney Dawes ]
  * Fixes to enable cross-compiling. (LP: #1347885)
  * Update layout for new designs. Wrap some strings in QML in i18n.tr
    to later enable translations. Add build dependency on
    qtdeclarative5-dev-tools.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 21:39:17 +0000

ubuntuone-credentials (14.04+14.10.20140710) utopic; urgency=low

  [ Leo Arias ]
  * Ported the autopilot tests to python3. Refactored and updated the
    tests to use new helpers and to be more consistent with the rest of
    packages.

  [ Rodney Dawes ]
  * Don't hit the ping URL on one.ubuntu.com any longer.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Jul 2014 20:21:22 +0000

ubuntuone-credentials (14.04+14.10.20140513ubuntu1) utopic; urgency=medium

  * Depend on qtbase5-dev | qtbase5-gles-dev, for compatibility with the
    touch stack.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Jun 2014 15:42:22 -0700

ubuntuone-credentials (14.04+14.10.20140513) utopic; urgency=low

  [ Martin Pitt ]
  * Fix FTBFS (#1318947). Clean up unnecessarily noisy
    debian/tests/control (LP: #1318947)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 May 2014 09:15:46 +0000

ubuntuone-credentials (14.04+14.04.20140415) trusty; urgency=low

  [ Alejandro J. Cura ]
  * Do not create the session when the account is disabled (LP:
    #1307608)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Apr 2014 18:54:03 +0000

ubuntuone-credentials (14.04+14.04.20140306ubuntu2) trusty; urgency=medium

  * debian/control: alternatively depend on the OpenGLES version of
    qtdeclarative5-ubuntu-ui-toolkit-plugin

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 17:40:47 -0300

ubuntuone-credentials (14.04+14.04.20140306ubuntu1) trusty; urgency=medium

  * Make ubuntuone-credentials-common Architecture: all and Multi-Arch:
    foreign. This allows cross-building of ubuntuone-credentials' reverse
    dependencies.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 02 Apr 2014 11:52:43 +0100

ubuntuone-credentials (14.04+14.04.20140306) trusty; urgency=low

  [ Diego Sarmentero ]
  * adding files
  * ssolib files
  * adding license
  * SSO Lib working
  * new folder structure
  * updating .pro
  * Fixing some design issues.
  * Improve Error handling in the application as requested by design.
  * Support urls in the --picture argument, to handle download of the
    image from this application.
  * Fix UI flow requested by design for Returning Customers.

  [ Leo Arias ]
  * Cleaned the autopilot tests.
  * Refactor the fake servers to be a thread on the same process,
    started from a fixture on the test setup.
  * Added missing files from previous autopilot fixtures MP. .

  [ Ubuntu daily release ]
  * New rebuild forced

  [ CI bot ]
  * No change rebuild against Qt 5.2.1.

  [ Brian Curtin ]
  * Update the tests.pro file to work with changes to how the library is
    built.
  * Add more tests.

  [ Michael McCracken ]
  * Simplify header layout to avoid issues in packaging. (LP: #1190782).
    (LP: #1190782)
  * Improvements to available slots and signals on ssoservice object.
  * Fixes for registration
  * mark two methods of Token as const, and fix a leak from oauth
    library.
  * Add QML plugin that wraps login/register and signUrl functionality
    of libubuntuoneauth, and accompanying QML UI prototype
  * Add support for two-factor auth to the ssoservice and QML plugin
    (LP: #1197081). (LP: #1197081)
  * Add error signal for failure cases in Network class - covers
    connection failures.
  * Improve UI, better support embedding into external QML, and add
    embedding example code.
  * Fix credential deletion and expose it via QML plugin.
  * Validate input and show error messages for invalid email, short
    password, etc.
  * add cmake rule to generate qmltypes file for qtcreator integration.
  * Make background of embeddable component transparent, and use smaller
    font sizes to fit better on small screens.
  * Fix typo in signal connection for handleError.
  * set signon plugin name to 'ubuntuoneplugin' as required by the
    signond plugin loader.
  * Ensure initial value of _state variable is IDLE.
  * Add UOA provider plug-in to house login/register UI. Move that UI
    from credentials service plug-in.
  * Fix example code for QML plugin to no longer try to show the
    CredentialsUI that doesn't exist anymore, and improve its comments
    to better explain the remaining API.
  * Re-add a regexp validator to the email textfield.
  * Add minimal Qt/C++ example app and README describing how to use
    libubuntuoneauth to access creds and sign API requests.
  * Add cancel/continue buttons back.
  * Fix spacing and margins of login/register UI. Use default fontSizes
    pending design input.
  * Provide faster visual feedback of activity after clicking
    'continue'.
  * Fix flickable scrolling. Fix sizing of nested Columns in LoginForm
    and RegisterForm, and use correct anchors.
  * Improve integration with Online Accounts System settings module.
  * Fix registration errors caused by scrambling parameters due to
    undefined behavior in C++.
  * Fix key focus handling. .
  * Do not leave an empty UOA account in the DB if the user clicks
    cancel.
  * Properly handle switching to the register screen after logging in
    partially with a 2fa account.
  * Add GUI-level autopilot functional test suite to online-accounts-
    provider.
  * Delete incomplete account when user uses back button to cancel
    account creation. (LP: #1234285). (LP: #1234285)
  * Provide general user-friendly error message for network errors. (LP:
    #1233951). (LP: #1233951)
  * Use email-specific keyboard layout and avoid storing passwords in
    predictive input dictionary (LP: #1235282). (LP: #1235282)
  * Hide keyboard when user submits form, making error message visible.
    (LP: #1231580). (LP: #1231580)
  * Give the two-factor text field focus when shown.
  * Fix behavior of back button on existing account detail page (LP:
    #1237006). (LP: #1237006)
  * Add initial suite of QML unit tests for online-accounts-provider.
  * Improve logged warnings about token creation errors and JSON parsing
    (LP: #1241250, LP: #1241259). (LP: #1241250, #1241259)
  * Add local mock test server and make autopilot tests hit the server.
  * Improve form validation for account registration. Warn about T&C
    checkbox only after all other fields are filled in.
  * Add autopilot tests of registering new u1 account.
  * Cleanup an apparent pythonism - avoid use of 'this->' to refer to an
    unshadowed member variable or function.
  * Remove more superfluous uses of this.

  [ Alberto Mardegan ]
  * Declare that no more than one U1 account should be created

  [ Rodney Dawes ]
  * Remove the app directory and files as we don't need them. Remove the
    generated Makefile as we shouldn't store it in VCS. Remove the
    useless main.cpp. Add COPYING and COPYING.LESSER for LGPL v3. Rename
    lib/core to lib/main to prevent make clean failure.
  * Update the license headers in source files to be correct LGPL.
  * Convert the build system to use a global qmake project. Add the
    rpath for the lib dir to the tests.pro, for running tests.
  * Switch to cmake. Enable -Werror and fix the few existing compiler
    warnings. Ignore all the new extra generated files. Rename the
    library and test program to be more accurate.
  * Merge in the ubuntuone-music-login app code.
  * Move lib to libubuntuoneauth and tests to libubuntuoneauth/tests.
    Create the libubuntuoneauthui and libubuntuoneauthui/tests
    directories for the UI library.
  * Add more tests.
  * Use the correct 'Ubuntu One' for the TOKEN_NAME constant.
  * Store the token information correctly in the keyring. Make token
    creation and keyring usage compatible with ubuntu-sso-client.
  * A new class for registering a log handler singleton. Use the new log
    handler for logging.
  * Clean up usage of debug/warning messages to avoid logging private
    data.
  * Refactor the keyring code and some usage of it, to be much simpler.
  * Add necessary support to sign the purchase URL before opening. Use
    the correct attribute name for the token, for ubuntu-sso-client
    compat.
  * Implement support for the ping URL on Ubuntu One to make account
    usable.
  * Bump trunk version for development.
  * Work around a bug in liboauth to escape '+' in url path properly.
    Fix qCritical() usage when account pinging fails.
  * Only export the UbuntuOne namespace symbols in the shared library.
  * Add ctors for network requests to use the SSO_AUTH_BASE_URL value.
    Change usage of SSO_*_BASE_URL values to not require ending /.
    Restructure API URL constants to separate path from base URL.
  * Always print critical/fatal messages to stderr. When debug is
    enabled, also print debug messages to stderr.
  * Add the beginnings of a signon plugin for u1.
  * Fix a missing prefix in the substvar in the qmldir that broke
    importing.
  * Switch from using using the keyring, to storing tokens in online-
    accounts. Add necessary data files for online-accounts storage.
  * Add UOA provider plug-in to house login/register UI. Move that UI
    from credentials service plug-in.
  * Fix a think-o in the qml-plugins install path.
  * Get rid of the UI library pieces that we never used, and don't need
    now.
  * Add a pkgconfig file for using libubuntuoneauth in other projects.
  * Pull in the packaging for moving to daily-release. Revert to a
    sensible version for use under daily-release.
  * Clean up packaging a little.
  * Remove the music-login app as we don't use it and aren't going to.
  * Deprecate the API for logging to a file in AuthLogger. Do not log to
    a file in the logging API. (LP: #1175289)
  * Package the autopilot tests.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 08:04:13 +0000

ubuntuone-credentials (14.04+14.04.20131127) trusty; urgency=low

  * Automatic snapshot from revision 80 (bootstrap)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 27 Nov 2013 13:14:17 -0500

ubuntuone-credentials (13.10-0ubuntu5) trusty; urgency=low

  * debian/libubuntuoneauth-2.0-dev.install:
    - Include the new pkg-config file.
  * debian/patches/03_lp1253116.patch:
    - Add a pkg-config file. (LP: #1253116)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 25 Nov 2013 10:13:20 -0500

ubuntuone-credentials (13.10-0ubuntu4) trusty; urgency=low

  * debian/control:
    - Use the correct dependencies for libubuntuoneauth-2.0-dev. (LP: #1253192)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 22 Nov 2013 10:44:26 -0500

ubuntuone-credentials (13.10-0ubuntu3) saucy-proposed; urgency=low

  * debian/patches/02_lp1234282.patch
    - Don't allow adding multiple U1 accounts (LP: #1234282)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 16 Oct 2013 10:36:15 -0400

ubuntuone-credentials (13.10-0ubuntu2) saucy; urgency=low

  * debian/patches/00_lp1237006.patch:
    - Fix behavior of back button on account details page. (LP: #1237006)
  * debian/patches/01_lp1234883.patch:
    - Give the two-factor text field focus when shown. (LP: #1234883)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 11 Oct 2013 11:25:18 -0400

ubuntuone-credentials (13.10-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Close the osk when continue button clicked. (LP: #1231580)
    - Improve generic network error messages. (LP: #1233951)
    - Avoid partial account creation when toolbar back used. (LP: #1234285)
    - Use text entry hints for better osk integration. (LP: #1235282)
  * debian/rules:
    - Set DEB_HOST_MULTIARCH if unset, to avoid breaking autopkgtests.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 04 Oct 2013 17:08:19 -0400

ubuntuone-credentials (13.09-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/libubuntuoneauth-2.0-0.symbols:
    - Update with new symbols.
  * debian/rules:
    - Remove the auto install override as it is no longer needed.
  * debian/watch:
    - Only use .bz2 as an extension in the regular expression.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 16 Sep 2013 17:45:41 -0400

ubuntuone-credentials (13.08-0ubuntu3) saucy; urgency=low

  * debin/tests/run-tests:
    - Don't try to run the tests a second time. Tests are run by requiring
      a built tree for autopkgtest already, so rely on that.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 16 Sep 2013 14:53:04 -0400

ubuntuone-credentials (13.08-0ubuntu2) saucy; urgency=low

  * debian/control:
    - Add signon-plugin-password as dependency of libubuntuoneauth-2.0-0.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 11 Sep 2013 21:53:26 -0400

ubuntuone-credentials (13.08-0ubuntu1) saucy; urgency=low

  * Initial packaging for ubuntuone-credentials. (LP: #1199017)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 29 Aug 2013 09:37:25 -0400
